Name: nethserver-freeradius
Summary: FreeRADIUS integration in NethServer
Version: 0.0.7
Release: 1%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
BuildArch: noarch
URL: %{url_prefix}/%{name}

BuildRequires: nethserver-devtools

Requires: freeradius >= 3.0.4
# NethServer dependencies.

%description
This package provides integration for FreeRADIUS in NethServer. It
turns your server into a centralized network authentication server, so
you can easily control what devices can access the network. The
authentication server is prepared to control network access using MAC
address, IEEE802.1X or both.

The authentication server provided by this package is only one
component of the three elements a RADIUS infrastructure is made of.
The other two elements (the authenticator and the supplicant) are not
configured by this package.  That is something you must do first,
before you can enjoy a successful RADIUS infrastructure.

%prep
%setup


%build
%{makedocs}
perl createlinks

%install
rm -rf %{buildroot}
(cd root; find . -depth -print | cpio -dump %{buildroot})
%{genfilelist} %{buildroot} > %{name}-%{version}-filelist


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc LICENSE README.rst
%dir %{_nseventsdir}/%{name}-update


%changelog
* Sat Apr 4 2020 Stephane de Labrusse <stephdl@de-labrusse.fr> - 29c2100
- Fix the radius service broken (HEAD, origin/master, origin/HEAD, master)
  

